//
// Created by zygzagz on 03.01.2021.
//

#include "BasicBlock.h"
#include "Quadruple.h"

void BasicBlock::finishQuads() {
	while (!quads.empty() && quads.back()->isFinal()) {
		auto final = quads.back();
		quads.pop_back();
		afterInit.emplace_back(final);
	}

	for (const auto& q : afterInit) {
		quads.push_back(q);
	}

	afterInit.clear();
}
